org.eclipse.rap.rwt.service

## Interface SettingStoreFactory

All Known Implementing Classes:
  FileSettingStoreFactory

    public interface SettingStoreFactory

A setting store factory is responsible for creating and initializing a specific kind of setting store. To contribute a custom setting store implementation, an implementation of this interface must be provided in an `ApplicationConfiguration` (see `Application.setSettingStoreFactory(SettingStoreFactory)`).

At runtime, the framework will use a single factory implementation to create new setting store instances. If no custom factory is specified, the `FileSettingStoreFactory` will be used as default.

Since:
  2.0
See Also:
  `Application.setSettingStoreFactory(SettingStoreFactory)`

### Method Summary

All Methods Instance Methods Abstract Methods
`SettingStore` `createSettingStore(java.lang.String id)` Creates and initializes a new specific setting store instance.

### Method Detail

#### createSettingStore

    SettingStore createSettingStore(java.lang.String id)

Creates and initializes a new specific setting store instance.

Parameters:
  `id` - the ID for the setting store to create, must not be `null` or empty
Returns:
  the created setting store, never `null`
Throws:
  `java.lang.IllegalArgumentException` - if the given id is empty

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0